Page MenuHomePhabricator

Notice: Undefined index: 1 in UploadWizardCampaign.php on line 447
Closed, ResolvedPublic2 Story Points

Description

Spotted in production:

Notice: Undefined index: 1 in /srv/mediawiki/php-1.26wmf21/extensions/UploadWizard/includes/UploadWizardCampaign.php on line 447

Event Timeline

demon created this task.Sep 3 2015, 3:52 PM
demon raised the priority of this task from to Low.
demon updated the task description. (Show Details)
demon added a subscriber: demon.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 3 2015, 3:52 PM
Restricted Application added a project: Multimedia. · View Herald TranscriptSep 3 2015, 3:53 PM
Restricted Application added a subscriber: Steinsplitter. · View Herald Transcript
matmarex added subscribers: kai.nissen, matmarex.

Apparently a small bug in da6e9ac6:

	private function getButtonHrefByObjectReference( $objRef ) {
/*447*/		list( $wiki, $title ) = explode( '|', $objRef );
		if ( Interwiki::isValidInterwiki( $wiki ) ) {
			return str_replace( '$1', $title, Interwiki::fetch( $wiki )->getURL() );
		}
		return false;
	}

I'm not sure what this code is supposed to do when $objRef (pipe-separated string) has only one value. Should that be ignored, or treated as a title on the current wiki? @kai.nissen?

Restricted Application added a subscriber: Matanya. · View Herald TranscriptSep 4 2015, 12:06 PM

Change 236026 had a related patch set uploaded (by Kai Nissen (WMDE)):
Consider the object reference not being passed in the expected format

https://gerrit.wikimedia.org/r/236026

Change 236026 merged by jenkins-bot:
Consider the object reference not being passed in the expected format

https://gerrit.wikimedia.org/r/236026

matmarex closed this task as Resolved.Sep 4 2015, 3:03 PM
kai.nissen set Security to None.
kai.nissen moved this task from Backlog to Done on the TCB-Team-Fundraising-Sprint-2015-09-02 board.
kai.nissen edited a custom field.
Jdforrester-WMF moved this task from Untriaged to Done on the Multimedia board.Sep 11 2015, 6:11 PM
Addshore moved this task from Incoming to Done on the TCB-Team board.Nov 27 2015, 10:28 AM